import { $ } from '../Class/$';
import { System } from '../system';
import { AAN } from '../types/interface/AAN';
import { AN } from '../types/interface/AN';
export declare function wrapAudioNode(audioNode: AudioNode, system: System): AN & $;
export declare function wrapAudioNodeClass(audioNode: AudioNode, system: System): any;
export declare function wrapAudioAnalyserNode(audioNode: AnalyserNode, system: System): AN & AAN & $;
